LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
RuleTerm Struct Referencepublished

describes a term. More...

`import"RuleTerm.idl";`

## Public Attributes
string | Property
| the name of the property used to match the term. More...
any | Operand
| the value of the property used to compare with the document property. More...
short | Operator
| the operator used to compare the property of the document with the given value (e.g. More...
boolean | CaseSensitive
| this flag indicates whether a string "operand" shall be compared case sensitive. More...
boolean | RegularExpression
| this flag indicates whether a string "operand" shall be treated as a regular expression. More...

## Detailed Description

describes a term.

A term is used to select objects to which a rule should apply.

## Member Data Documentation

## ◆ CaseSensitive

boolean CaseSensitive

this flag indicates whether a string "operand" shall be compared case sensitive.

## ◆ Operand

any Operand

the value of the property used to compare with the document property.

## ◆ Operator

short Operator

the operator used to compare the property of the document with the given value (e.g.

"contains" or "greater equal").

The value can be one of the RuleOperator constants.

## ◆ Property

string Property

the name of the property used to match the term.

## ◆ RegularExpression

boolean RegularExpression

this flag indicates whether a string "operand" shall be treated as a regular expression.

The documentation for this struct was generated from the following file:

- com/sun/star/ucb/RuleTerm.idl